{ disks ? [ "/dev/nvme0n1" ], ... }:

{
  disk = {
    device = builtins.elemAt disks 0;
    type = "disk";
    content = {
      type = "gpt";
      partitions = [
        { name = "ESP";  type = "EF00"; size = "512M"; content.type = "filesystem";
          content.format = "fat32"; mountpoint = "/boot"; }
        { name = "rpool"; type = "BE00"; size = "60G";
          content.type = "zfs";  content.pool = "rpool"; }
        { name = "tank";  type = "BE00";
          content.type = "zfs";  content.pool = "tank"; }
      ];
    };
  };

  zpool = {
    rpool = {  datasets = { root = { mountpoint = "/"; }; }; };
    tank  = {  datasets = { media = { mountpoint = "/tank"; }; }; };
  };
}

