{
  description = "NAS on NixOS – root on ZFS";

  inputs = {
    # stabiler Release-Zweig
    nixpkgs.url        = "github:NixOS/nixpkgs/nixos-25.05";
    # optional: Hardware-Tuning (z. B. SSD-Defaults)
    nixos-hardware.url = "github:NixOS/nixos-hardware";
  };

  outputs = { self, nixpkgs, nixos-hardware, ... }@inputs:
  let
    system = "x86_64-linux";
  in {
    nixosConfigurations.host = nixpkgs.lib.nixosSystem {
      inherit system;                     # ← Pflichtfeld
      modules = [
        ./hardware/hardware-configuration.nix                        # generiertes hardware-configuration.nix
        ./configuration.nix               # deine eigentliche Config
        ./disco.nix                       # disco partitionierung
        nixos-hardware.nixosModules.common-pc-ssd
      ];
    };
  };
}
